/**
 * PersonNamePartAffixTypes.java
 *
 * File generated from the medication::PersonNamePartAffixTypes uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration PersonNamePartAffixTypes.
 *
 * 
 */

@XmlType(name = "PersonNamePartAffixTypes")
@XmlEnum
@XmlRootElement(name = "PersonNamePartAffixTypes")
public enum PersonNamePartAffixTypes {
	@XmlEnumValue("AC")
	AC("AC"),
	@XmlEnumValue("NB")
	NB("NB"),
	@XmlEnumValue("PR")
	PR("PR"),
	@XmlEnumValue("VV")
	VV("VV");
	
	private final String value;

    PersonNamePartAffixTypes(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static PersonNamePartAffixTypes fromValue(String v) {
        for (PersonNamePartAffixTypes c: PersonNamePartAffixTypes.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}